11 Replies Latest reply on Apr 19, 2010 5:13 AM by jaikiran pai

    JBOSS 5.1.0 gives unsupported version error when started with JRE 1.5

    hemil shah Newbie

      Hi,

       

      While starting JBOSS 5.1.0 sever with JRE 1.5.0_19  it gives me error with below trace -

       

      [ClassLoaderManager] Unexpected error during load of:org.jboss.resource.metadata.repository.DefaultJCAMetaDataRepository

      java.lang.UnsupportedClassVersionError: Bad version number in .class file

      at java.lang.ClassLoader.defineClass1(

      Native Method)

      at java.lang.ClassLoader.defineClass(Unknown Source)

      at org.jboss.classloader.spi.base.BaseClassLoader.access$200(

      BaseClassLoader.java:63)

      at org.jboss.classloader.spi.base.BaseClassLoader$2.run(

      BaseClassLoader.java:572)

      at org.jboss.classloader.spi.base.BaseClassLoader$2.run(

      BaseClassLoader.java:532)

      at java.security.AccessController.doPrivileged(

      Native Method)

      at org.jboss.classloader.spi.base.BaseClassLoader.loadClassLocally(

      BaseClassLoader.java:530)

      at org.jboss.classloader.spi.base.BaseClassLoader.loadClassLocally(

      BaseClassLoader.java:507)

      at org.jboss.classloader.spi.base.BaseDelegateLoader.loadClass(

      BaseDelegateLoader.java:134)

      at org.jboss.classloader.spi.filter.FilteredDelegateLoader.loadClass(

      FilteredDelegateLoader.java:131)

      at org.jboss.classloader.spi.base.ClassLoadingTask$ThreadTask.run(

      ClassLoadingTask.java:452)

      at org.jboss.classloader.spi.base.ClassLoaderManager.nextTask(

      ClassLoaderManager.java:251)

      at org.jboss.classloader.spi.base.ClassLoaderManager.process(

      ClassLoaderManager.java:150)

      at org.jboss.classloader.spi.base.BaseClassLoaderDomain.loadClass(

      BaseClassLoaderDomain.java:265)

      at org.jboss.classloader.spi.base.BaseClassLoaderDomain.loadClass(

      BaseClassLoaderDomain.java:1119)

      at org.jboss.classloader.spi.base.BaseClassLoader.loadClassFromDomain(

      BaseClassLoader.java:798)

      at org.jboss.classloader.spi.base.BaseClassLoader.loadClass(

      BaseClassLoader.java:441)

      at java.lang.ClassLoader.loadClass(Unknown Source)

      at org.jboss.deployers.vfs.deployer.kernel.BeanMetaDataFactoryVisitor.addBeanComponent(

      BeanMetaDataFactoryVisitor.java:63)

      at org.jboss.deployers.vfs.deployer.kernel.BeanMetaDataFactoryVisitor.deploy(

      BeanMetaDataFactoryVisitor.java:126)

      at org.jboss.deployers.spi.deployer.helpers.AbstractRealDeployerWithInput.deploy(

      AbstractRealDeployerWithInput.java:125)

      at org.jboss.deployers.spi.deployer.helpers.AbstractRealDeployerWithInput.internalDeploy(

      AbstractRealDeployerWithInput.java:102)

      at org.jboss.deployers.spi.deployer.helpers.AbstractComponentDeployer.internalDeploy(

      AbstractComponentDeployer.java:78)

      at org.jboss.deployers.spi.deployer.helpers.AbstractRealDeployer.deploy(

      AbstractRealDeployer.java:50)

      at org.jboss.deployers.plugins.deployers.DeployerWrapper.deploy(

      DeployerWrapper.java:171)

      at org.jboss.deployers.plugins.deployers.DeployersImpl.doDeploy(

      DeployersImpl.java:1439)

      at org.jboss.deployers.plugins.deployers.DeployersImpl.doInstallParentFirst(

      DeployersImpl.java:1157)

      at org.jboss.deployers.plugins.deployers.DeployersImpl.install(

      DeployersImpl.java:1098)

      at org.jboss.dependency.plugins.AbstractControllerContext.install(

      AbstractControllerContext.java:348)

      at org.jboss.dependency.plugins.AbstractController.install(

      AbstractController.java:1631)

      at org.jboss.dependency.plugins.AbstractController.incrementState(

      AbstractController.java:934)

      at org.jboss.dependency.plugins.AbstractController.resolveContexts(

      AbstractController.java:1082)

      at org.jboss.dependency.plugins.AbstractController.resolveContexts(

      AbstractController.java:984)

      at org.jboss.dependency.plugins.AbstractController.change(

      AbstractController.java:822)

      at org.jboss.dependency.plugins.AbstractController.change(

      AbstractController.java:553)

      at org.jboss.deployers.plugins.deployers.DeployersImpl.process(

      DeployersImpl.java:781)

      at org.jboss.deployers.plugins.main.MainDeployerImpl.process(

      MainDeployerImpl.java:702)

      at org.jboss.system.server.profileservice.repository.MainDeployerAdapter.process(

      MainDeployerAdapter.java:117)

      at org.jboss.system.server.profileservice.repository.ProfileDeployAction.install(

      ProfileDeployAction.java:70)

      at org.jboss.system.server.profileservice.repository.AbstractProfileAction.install(

      AbstractProfileAction.java:53)

      at org.jboss.system.server.profileservice.repository.AbstractProfileService.install(

      AbstractProfileService.java:361)

      at org.jboss.dependency.plugins.AbstractControllerContext.install(

      AbstractControllerContext.java:348)

      at org.jboss.dependency.plugins.AbstractController.install(

      AbstractController.java:1631)

      at org.jboss.dependency.plugins.AbstractController.incrementState(

      AbstractController.java:934)

      at org.jboss.dependency.plugins.AbstractController.resolveContexts(

      AbstractController.java:1082)

      at org.jboss.dependency.plugins.AbstractController.resolveContexts(

      AbstractController.java:984)

      at org.jboss.dependency.plugins.AbstractController.change(

      AbstractController.java:822)

      at org.jboss.dependency.plugins.AbstractController.change(

      AbstractController.java:553)

      at org.jboss.system.server.profileservice.repository.AbstractProfileService.activateProfile(

      AbstractProfileService.java:306)

      at org.jboss.system.server.profileservice.ProfileServiceBootstrap.start(

      ProfileServiceBootstrap.java:271)

      at org.jboss.bootstrap.AbstractServerImpl.start(

      AbstractServerImpl.java:461)

      at org.jboss.Main.boot(

      Main.java:221)

      at org.jboss.Main$1.run(

      Main.java:556)

       

      If i run with JRE1.6 it starts up. But the release notes says that it can be executed under both 1.5 and 1.6 environment. I want to know the reason for the failure of server to startup with JRE 1.5

       

      Thanks.

      Regards,

      Hemil

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

       

        • 1. Re: JBOSS 5.1.0 gives unsupported version error when started with JRE 1.5
          jaikiran pai Master

          There are 2 variants of JBoss AS-5. One which is compiled with JDK5 and one which is compiled with JDK6. Looks like you downloaded the version which was compiled with JDK6. You can only use JDK/JRE 6 to run it.

          If you want to run JBoss AS-5 with JDK/JRE 5 then you will have to download the other one (available at the same downloads page on sourceforge).

          • 2. Re: JBOSS 5.1.0 gives unsupported version error when started with JRE 1.5
            hemil shah Newbie

            Hi,

             

            Thanks for your prompt reply.

             

            I have downloaded file with name jboss-5.1.0.GA.zip. Is this JRE 1.6 supportive ?

             

            Let me know the exact file i should download for running with JRE 1.5 environment.

             

            Thanks.

            Regards,

            Hemil

            • 3. Re: JBOSS 5.1.0 gives unsupported version error when started with JRE 1.5
              Peter Johnson Master

              Are you certain that you downloaded jboss-5.1.0.GA.zip and not jboss-5.1.0.GA-jdk6.zip? I recommend downloading again. Or using JDK 6.

              • 4. Re: JBOSS 5.1.0 gives unsupported version error when started with JRE 1.5
                jaikiran pai Master

                hemil shah wrote:

                 

                Hi,

                 

                Thanks for your prompt reply.

                 

                I have downloaded file with name jboss-5.1.0.GA.zip. Is this JRE 1.6 supportive ?

                 


                If that's the file you downloaded, then it was supposed to run fine against both Java 5 and Java 6 runtime.

                 

                Can you post the initial few logs from the console (not the server.log)? While posting the logs, remember to format them by using the formatting options availble in the forum editor.

                • 5. Re: JBOSS 5.1.0 gives unsupported version error when started with JRE 1.5
                  hemil shah Newbie

                  Hi,

                   

                  Here is the initial log before the previous exception starts -

                   

                  20:34:31,520 INFO [ServerImpl] Starting JBoss (Microcontainer)...

                  20:34:31,522 INFO [ServerImpl] Release ID: JBoss [The Oracle] 5.1.0.GA (build: SVNTag=JBoss_5_1_0_GA date=200905221634)

                  20:34:31,523 INFO [ServerImpl] Bootstrap URL: null

                  20:34:31,523 INFO [ServerImpl] Home Dir: C:\jboss-5.1.0.GA

                  20:34:31,524 INFO [ServerImpl] Home URL: file:/C:/jboss-5.1.0.GA/

                  20:34:31,524 INFO [ServerImpl] Library URL: file:/C:/jboss-5.1.0.GA/lib/

                  20:34:31,525 INFO [ServerImpl] Patch URL: null

                  20:34:31,526 INFO [ServerImpl] Common Base URL: file:/C:/jboss-5.1.0.GA/common/

                  20:34:31,526 INFO [ServerImpl] Common Library URL: file:/C:/jboss-5.1.0.GA/common/lib/

                  20:34:31,535 INFO [ServerImpl] Server Name: default

                  20:34:31,535 INFO [ServerImpl] Server Base Dir: C:\jboss-5.1.0.GA\server

                  20:34:31,535 INFO [ServerImpl] Server Base URL: file:/C:/jboss-5.1.0.GA/server/

                  20:34:31,536 INFO [ServerImpl] Server Config URL: file:/C:/jboss-5.1.0.GA/server/default/conf/

                  20:34:31,536 INFO [ServerImpl] Server Home Dir: C:\jboss-5.1.0.GA\server\default

                  20:34:31,536 INFO [ServerImpl] Server Home URL: file:/C:/jboss-5.1.0.GA/server/default/

                  20:34:31,537 INFO [ServerImpl] Server Data Dir: C:\jboss-5.1.0.GA\server\default\data

                  20:34:31,537 INFO [ServerImpl] Server Library URL: file:/C:/jboss-5.1.0.GA/server/default/lib/

                  20:34:31,537 INFO [ServerImpl] Server Log Dir: C:\jboss-5.1.0.GA\server\default\log

                  20:34:31,538 INFO [ServerImpl] Server Native Dir: C:\jboss-5.1.0.GA\server\default\tmp\native

                  20:34:31,539 INFO [ServerImpl] Server Temp Dir: C:\jboss-5.1.0.GA\server\default\tmp

                  20:34:31,539 INFO [ServerImpl] Server Temp Deploy Dir: C:\jboss-5.1.0.GA\server\default\tmp\deploy

                  20:34:33,198 INFO [ServerImpl] Starting Microcontainer, bootstrapURL=file:/C:/jboss-5.1.0.GA/server/default/conf/bootstrap.xml

                  20:34:34,738 INFO [VFSCacheFactory] Initializing VFSCache [org.jboss.virtual.plugins.cache.CombinedVFSCache]

                  20:34:34,743 INFO [VFSCacheFactory] Using VFSCache [CombinedVFSCache[real-cache: null]]

                  20:34:35,243 INFO [CopyMechanism] VFS temp dir: C:\jboss-5.1.0.GA\server\default\tmp

                  20:34:35,287 INFO [ZipEntryContext] VFS force nested jars copy-mode is enabled.

                  20:34:37,161 INFO [ServerInfo] Java version: 1.5.0_19,Sun Microsystems Inc.

                  20:34:37,161 INFO [ServerInfo] Java Runtime: Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_19-b02)

                  20:34:37,162 INFO [ServerInfo] Java VM: Java HotSpot(TM) Client VM 1.5.0_19-b02,Sun Microsystems Inc.

                  20:34:37,162 INFO [ServerInfo] OS-System: Windows Vista 6.0,x86

                  20:34:37,162 INFO [ServerInfo] VM arguments: -Dprogram.name=run.bat -Xms128m -Xmx512m -XX:MaxPermSize=256m -Dfile.encoding=Cp1252

                  20:34:37,194 INFO [JMXKernel] Legacy JMX core initialized

                  20:34:39,715 INFO [ProfileServiceBootstrap] Loading profile: ProfileKey@1f4b0dc[domain=default, server=default, name=default]

                  20:34:44,860 INFO [WebService] Using RMI server codebase: http://127.0.0.1:8083/

                  20:34:50,420 WARN [ClassLoaderManager] Unexpected error during load of:org.jboss.resource.metadata.repository.DefaultJCAMetaDataRepository

                  java.lang.UnsupportedClassVersionError: Bad version number in .class file

                   

                  Thanks.

                  Regards,

                  Hemil

                  • 6. Re: JBOSS 5.1.0 gives unsupported version error when started with JRE 1.5
                    jaikiran pai Master

                    Are you really sure you downloaded the jboss-5.1.0.GA.zip file and not jboss-5.1.0.GA-jdk6.zip?

                     

                    hemil shah wrote:

                     


                    20:34:31,522 INFO [ServerImpl] Release ID: JBoss [The Oracle] 5.1.0.GA (build: SVNTag=JBoss_5_1_0_GA date=200905221634)

                    This log suggests that you downloaded the JDK6 compiled jboss-5.1.0.GA-jdk6.zip file.

                     

                    For JDK5 compiled version you would see:

                     

                    21:48:35,141 INFO  [ServerImpl] Release ID: JBoss [The Oracle] 5.1.0.GA (build: SVNTag=JBoss_5_1_0_GA date=200905221053)
                    • 7. Re: JBOSS 5.1.0 gives unsupported version error when started with JRE 1.5
                      jaikiran pai Master

                      jaikiran pai wrote:

                       

                      Are you really sure you downloaded the jboss-5.1.0.GA.zip file and not jboss-5.1.0.GA-jdk6.zip?

                      Actually, I now see that Peter already asked you that, earlier in this thread.

                      • 8. Re: JBOSS 5.1.0 gives unsupported version error when started with JRE 1.5
                        hemil shah Newbie

                        Hi,

                         

                        I actually missed Peter message.

                         

                        I am sure that i have downloaded non JDK 6 file and i want the server to be compatible with JDK 1.5 as my client is running with JDK 1.5.

                         

                        Thanks.

                        Regards,

                        Hemil

                        • 9. Re: JBOSS 5.1.0 gives unsupported version error when started with JRE 1.5
                          jaikiran pai Master

                          hemil shah wrote:

                           


                           

                          I am sure that i have downloaded non JDK 6 file

                          I don't think so. Please read my earlier message which has the details about why I think you have the wrong download. You might want to redownload the correct version.

                          • 10. Re: JBOSS 5.1.0 gives unsupported version error when started with JRE 1.5
                            hemil shah Newbie

                            Hi,

                             

                            Finally, i downloaded JBOSS 5.0 which started with JRE 1.5. Here is the initial snippet of log during startup. Please confirm me whether the server is really running with 1.5

                             

                            14:18:12,198 INFO [ServerImpl] Starting JBoss (Microcontainer)...

                            14:18:12,198 INFO [ServerImpl] Release ID: JBoss [Morpheus] 5.0.1.GA (build: SVNTag=JBoss_5_0_1_GA date=200902231221)

                            • 11. Re: JBOSS 5.1.0 gives unsupported version error when started with JRE 1.5
                              jaikiran pai Master

                              hemil shah wrote:

                               

                              Finally, i downloaded JBOSS 5.0 which started with JRE 1.5.

                               

                              14:18:12,198 INFO [ServerImpl] Release ID: JBoss [Morpheus] 5.0.1.GA (build: SVNTag=JBoss_5_0_1_GA date=200902231221)

                              Why did you downgrade to a lower version?  Why not download the correct .zip file for 5.1.0? Can you point us to the exact link you used to download the 5.1.0 JDK5 compiled version (I suggest that you do the entire download process again for 5.1.0 while providing the details)